MagicWP Docs
WordPress

List WordPress users

GET
/v1/sites/{site_id}/wp/users

Permission: wp.users

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid

Query Parameters

limit?Limit

Items per page (1–100).

Range1 <= value <= 100
Default50
cursor?|

Opaque cursor from a previous page's next_cursor.

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/users"
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "items": [      {        "ID": 0,        "user_login": "string",        "display_name": "string",        "user_email": "string",        "roles": "string",        "user_registered": "string"      }    ],    "next_cursor": null  }}